Subject: Re: Scripting Installs?
From: wayne <[email-masked]>
To: Randall R Schulz <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 Jan 2002 14:04:50 -0600

It is not only the size although that is in issue.  Should I go tell
my boss I need a new disk because I have to install everything?
Also if I write tools using parts of cygwin who will use them?  
My users that install cygwin only for my tools.
I would like to have an easy way to tell a user just do this one thing
then run my tool.  Maybe you don't care about any of these issues
but they are all valid in my view.
By the way I do write tools using some of cygwin and I am regularly
asked if there is someway  to just point and click to install
just what they need.  They don't know exactly what my tools require
so they can't select just the parts required.  Now I can and do
tell them but it would be easier for me and them if there was a way for 
me to ease their install efforts.  This would go a long way to 
convincing my company to migrate.
As for way you would care how about continued user of this product? 
I think we might be just a tad narrow minded here.  Certainly Glen does
not need to be drug over the coals because he has different requirements
or for that matter me either.  I have even had a requested to support 
shared installs so that the users don't have to install anything to
use my tools.
thanks.

On Tue, Jan 29, 2002 at 11:46:51AM -0800, Randall R Schulz wrote:
> Glenn,
> 
> These concerns about the size of Cygwin are becoming ever less sensible. 
> It's 2002, and storage is extremely cheap, fast and capacious. It hardly 
> seems worth the bother to try to pare down a Cygwin install to save a few 
> dozen (or even a hundred) megabytes of disk space. Now that I've installed 
> the new Cygwin TeX packages (adding 95 megabytes or so), my full Cygwin 
> install occupies about 310 megabytes.
> 
> I guess that's not tiny, but hardly excessive considering what Cygwin makes 
> available and possible on an otherwise agonizingly impoverished (yet itself 
> quite sizeable) operating system. A comparable set of capabilities under 
> Solaris, *BSD, Linux or MacOS X would occupy pretty much the same amount of 
> space (regardless of whether they have the status of "add-on" or 
> "3rd-party" or simply "optional"), so I see no basis for complaints about size.
> 
> If you've installed onto NTFS (recommended, if it's an option for the OS 
> you're running), you can always apply Windows built-in disk compression to 
> some or all of your installation as a quick-and-dirty, transparent (though 
> modest) space-saving measure.
> 
> Randall Schulz
> Mountain View, CA USA
> 
> 
> At 09:07 2002-01-29, you wrote:
> >>...
> >
> >Well 39 meg to run ssh is a bit much, even by Windows-standards (grin), 
> >but I will play with your last suggestion and see what I need to get just 
> >ssh running. (Which is really all our sales guys need) :)
> >
> >Thanks!
> >Glenn
> >
> >---
> >Glenn E. Sieb, Sys Admin
> 
> [ Title abbreviated to save that all-precious "network bandwidth." ]
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
Slowly and surely the unix crept up on the Nintendo user ...
Wayne Willcox                          I will not eat green eggs and ham
[email-masked]                     I will not eat them Sam I Am!!
A wise person makes his own decisions, a weak one obeys public opinion.
                -- Chinese proverb

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/